var main = {
	prefix: [
		"main",
		"psvm"
	],
	body: [
		"public static void main(String[] args) {",
		"\t$0",
		"}"
	],
	description: "Public static main method"
};
var trycatch = {
	prefix: "try_catch",
	body: [
		"try {",
		"\t$1",
		"} catch (${2:Exception} ${3:e}) {",
		"\t$4//${0:TODO}: handle exception",
		"}"
	],
	description: "try/catch block"
};
var tryresources = {
	prefix: "try_resources",
	body: [
		"try ($1) {",
		"\t$2",
		"} catch (${3:Exception} ${4:e}) {",
		"\t$5//${0:TODO}: handle exception",
		"}"
	]
};
var private_method = {
	prefix: "private_method",
	body: [
		"private ${1:void} ${2:name}($3) {",
		"\t$0",
		"}"
	],
	description: "private method"
};
var newObject = {
	prefix: "new",
	body: [
		"${0:Object} ${1:foo} = new ${0:Object}();"
	],
	description: "Create new Object"
};
var javaJava = {
	main: main,
	"Public constructor": {
	prefix: "ctor",
	body: [
		"public ${1:${TM_FILENAME_BASE}}($2) {",
		"\t${0:super();}",
		"}"
	],
	description: "Public constructor"
},
	trycatch: trycatch,
	tryresources: tryresources,
	private_method: private_method,
	"Public method": {
	prefix: "public_method",
	body: [
		"public ${1:void} ${2:name}(${3}) {",
		"\t$0",
		"}"
	],
	description: "public method"
},
	"Private static method": {
	prefix: "private_static_method",
	body: [
		"private static ${1:Type} ${2:name}(${3}) {",
		"\t$0",
		"}"
	],
	description: "private static method"
},
	"Public static method": {
	prefix: "public_static_method",
	body: [
		"public static ${1:void} ${2:name}(${3}) {",
		"\t$0",
		"}"
	],
	description: "public static method"
},
	"Protected Method": {
	prefix: "protected_method",
	body: [
		"protected ${1:void} ${2:name}(${3}) {",
		"\t$0",
		"}"
	],
	description: "Protected method"
},
	"Switch Statement": {
	prefix: "switch",
	body: [
		"switch (${1:key}) {",
		"\tcase ${2:value}:",
		"\t\t$0",
		"\t\tbreak;",
		"",
		"\tdefault:",
		"\t\tbreak;",
		"}"
	],
	description: "Switch Statement"
},
	newObject: newObject,
	"Private field": {
	prefix: "prf",
	body: [
		"private ${1:String} ${2:name};"
	],
	description: "Private field"
}
};

export { javaJava as default, main, newObject, private_method, trycatch, tryresources };
